Execute automations
Last updated on
This guide explains how to manually execute an automation using the STACKIT Automation Service API or the STACKIT Portal. While automations can run automatically based on schedules, you can also trigger them manually when needed.
Prerequisites
Section titled “Prerequisites”- Swagger API definition for the STACKIT Automation Service API.
- Automation Service has been enabled
- An existing automation
Execute an automation manually
Section titled “Execute an automation manually”To execute an automation manually, you need to provide the following information:
projectIdregionIdautomationId
Use the following POST request to trigger manual execution:
POST https://automation.api.eu01.stackit.cloud/v1beta/projects/{projectId}/regions/{regionId}/services/volumes/automations/{automationId}/executions-
Get your automation ID: Use the automation ID from when you created the automation, or list your automations to find the correct ID.
-
Send the POST request: Execute the API call to trigger the automation.
-
Store the execution ID: The response will include an
executionIdthat you can use to check the results.
Response example
Section titled “Response example”{ "automation": { "config": { "description": "Creates daily snapshots for all volumes with specified label", "id": "eb62d5e5-fc29-4203-9fe7-fe809ae0aefc", "input": { "inheritVolumeLabels": false, "kind": "VolumeRecoveryPointManagement", "recoveryPointLabels": { "key1": "value1", "key2": "value2" }, "snapshotRetentionPolicy": { "kind": "count", "value": 2 }, "volumeLabelSelector": "myLabelkey1=myLabelValue,myLabelKey2=myOtherLabelValue" }, "name": "My Daily Volume Snapshot Creation Automation", "output": { "steps": [ { "name": "Get Volumes IDs with Label", "result": { "kind": "GetVolumeIDsResult", "volumeIDs": [] } }, { "name": "Create Snapshots for Volume IDs", "result": { "createdSnapshotIDs": [], "kind": "CreateSnapshotsResult" } } ] }, "templateId": "62c5178a-87fb-437f-88c8-c6f26b3ee4f6", "triggers": { "schedule": { "rrule": "DTSTART;TZID=Europe/Sofia:20200803T023000\nRRULE:FREQ=DAILY;INTERVAL=1" } } }, "output": { "steps": [ { "name": "Get Volumes IDs with Label", "result": { "kind": "GetVolumeIDsResult", "volumeIDs": [] }, "status": "PENDING" }, { "name": "Create Snapshots for Volume IDs", "result": { "createdSnapshotIDs": [], "kind": "CreateSnapshotsResult" }, "status": "PENDING" } ] } }, "createTime": "2025-07-21T17:32:28Z", "id": "1263fd13-be86-4fe4-a2aa-ef5526c607cd", "status": "PENDING"}API Reference: ExecuteAutomation.
To execute an automation manually follow the steps below:
- On the project overview navigate to Storage —> Disk Volumes —> Automations to display all created automations.
- Chose the automation you want to execute manually and click on the vertical dots on the right side of this automation.
- In the popup window click on Execute now
- A confirmation window will appear, click on Execute
- You are automatically getting redirected to the run history list view of this automation.
List automation executions
Section titled “List automation executions”To see all executions for a specific automation, use this GET request:
GET https://automation.api.eu01.stackit.cloud/v1beta/projects/{projectId}/regions/{regionId}/services/volumes/automations/{automationId}/executionsThis will return a list of all executions for the automation, including their status and timestamps.
To see all executions for a specific automation in the STACKIT Portal follow the steps below:
- On the project overview navigate to Storage —> Disk Volumes —> Automations to display all created automations.
- Chose the automation you want to check and click on it.
- Click on Run History on the left side and it displays all runs of this automation and their execution status.
- For more information you can click on a specific run and on the right side you see the available information including the status of the executed steps.
Once executed, you can check the results of the automation execution. See Check automation results for details.